On 26/09/10 11:29, Riccardo Merlotti wrote:
Hi everybody, I made a git pull of the latest version from git repositories (git://gtkpod.git.sourceforge.net/gitroot/gtkpod/libgpod and git://gtkpod.git.sourceforge.net/gitroot/gtkpod/gtkpod) and compiled/installed everything.
But when I launch gtkpod from the terminal and try to view the about box to check the version number, the program Segfaults.
The output I see in console is the following:

Prepending /usr/local/lib/gtkpod to plugin directories
** Message: REMEMBERED PLUGINS
** Message: DEFAULT PROFILE /usr/local/share/gtkpod/data/default.profile
** Message: User profile /home/riccardo/.gtkpod/gtkpod.profile
Number of active plugins: 9

** (gtkpod:6824): WARNING **: Couldn't read license file /LICENCE: Apertura del file "/usr/local/share/gtkpod/data/LICENCE" non riuscita: Nessun file o directory

(gtkpod:6824): Gtk-CRITICAL **: gtk_icon_theme_load_icon: assertion `error == NULL || *error == NULL' failed

** (gtkpod:6824): WARNING **: Couldn't load icon: (null)
Segmentation fault

Sorry for the italian strings in the warnings, my Ubuntu installation comes with italian language since the beginning.
Hope that this crash is just caused by some fault of mine, in the other case I hope this info will be helpful to solve this problem!
Thanks to all the developers for this excellent open source jewel!

Riccardo

Riccardo,

Thanks. Just pushed a fix.

Cheers

PGR